### Method

# Notify Notification get_activation_token

since: 0.7.10

#### Declaration [src]

    const char*
    notify_notification_get_activation_token (
      NotifyNotification* notification
    )

#### Description [src]

Gets the activation token of the notification.

If an an action is currently being activated, return the activation token. This function is intended to be used in a `NotifyActionCallback` to get the activation token for the activated action, if the notification daemon supports it.

Available since: 0.7.10

#### Return value

Type: `const char*`

The current activation token, or `NULL` if none.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.